package edu.upv_ehu.gbg.docencia.paintoncomponent;

import java.awt.Graphics;
import javax.swing.JComponent;
import javax.swing.JSlider;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
 
public class MiDibujo extends JComponent {

    // La variable v recoge el valor observado del slider
    private int v = 50;

    MiDibujo(FrameParaMiDibujo f) {
        f.addSliderListener(new ChangeListener() {
            @Override
            public void stateChanged(ChangeEvent e) {
                v = ((JSlider) e.getSource()).getValue();
                f.repaint();
            }
        });
    }

    @Override
    public void paint(Graphics g) {
        g.drawRect(
                (int) ((100-v)/200.0 * getWidth()), (int) ((100-v)/200.0 * getHeight()),
                (int) (v/100.0 * getWidth())-1, (int) (v/100.0 * getHeight())-1
        );
    }

}
